DROWN

Decrypting RSA using Obsolete and Weakened eNcryption

Связанная ошибка

"Данный сервер уязвим для атаки DROWN. Отключите протокол SSLv2 на сервере."

Проблема

Исследователи обнаружили уязвимость DROWN в SSL v2. DROWN означает расшифровку RSA с устаревшим и менее криптостойким шифрованием. Это влияет на HTTPS и другие сервисы, которые используют протоколы SSL и TLS.

Злоумышленники могут использовать уязвимость DROWN, чтобы взломать шифрование, используемое для защиты ваших конфиденциальных данных. Если шифрование будет взломано, злоумышленники могут прочитать / украсть ваши конфиденциальные сообщения (например, пароли, финансовые данные и электронные письма). В некоторых ситуациях злоумышленники могут также выдавать себя за доверенные веб-сайты.

Хотя от протокола SSL 2.0 отказались в 1996 году из-за известных недостатков безопасности, некоторые серверы все еще используют его. Хорошо известные уязвимости / бреши в системе безопасности:

  • Слабая целостность сообщений для экспортных шифров
  • Небезопасная целостность сообщений
  • Уязвимость для атаки с применением технологии «незаконный посредник»
  • Уязвим к атаке Truncation

Способ устранения

Отключите SSL 2.0 на серверах или в службах, которые все еще поддерживают SSL v2.

OpenSSL

Для OpenSSL самым простым решением является обновление до недавно выпущенных версий OpenSSL.

Если вы по-прежнему используете одну из более старых (не поддерживаемых) версий OpenSSL, обновитесь до более новой поддерживаемой версии.

Microsoft IIS

Если вы используете IIS 7 или новее, SSL v2 по умолчанию отключен. Если вы вручную включили поддержку SSL v2, отключите ее обратно. Если вы используете более старую (больше не поддерживаемую) версию IIS, обновите IIS до версии 7 или более новой.

Сервисы безопасности сети (NSS)

Если вы используете NSS 3.13 или новее, SSL v2 по умолчанию отключен. Если вы вручную включили поддержку SSL v2, необходимо отключить ее обратно. Если вы используете более старую версию NSS, обновитесь до NSS 3.13 или более новой версии.

Apache, Nginx и т. д.

Если ваши серверы поддерживают SSL v2, отключите его поддержку.